curl --request POST \
--url https://api.trysynch.com/MindbodyWebhook/ReceiveSaleEvent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messageId": "<string>",
"eventId": "<string>",
"eventSchemaVersion": 123,
"eventInstanceOriginationDateTime": "2023-11-07T05:31:56Z",
"transactionKey": "<string>",
"eventData": {
"siteId": 123,
"saleId": 123,
"purchasingClientId": "<string>",
"payments": [
{
"paymentId": 123,
"paymentMethodId": 123,
"paymentMethodName": "<string>",
"paymentAmountPaid": 123,
"paymentLastFour": "<string>",
"paymentNotes": "<string>"
}
],
"saleDateTime": "2023-11-07T05:31:56Z",
"soldById": 123,
"soldByName": "<string>",
"locationId": 123,
"totalAmountPaid": 123,
"items": [
{
"itemId": 123,
"type": "<string>",
"name": "<string>",
"amountPaid": 123,
"amountDiscounted": 123,
"quantity": 123,
"recipientClientId": "<string>",
"paymentReferenceId": 123
}
]
}
}
'curl --request POST \
--url https://api.trysynch.com/MindbodyWebhook/ReceiveSaleEvent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messageId": "<string>",
"eventId": "<string>",
"eventSchemaVersion": 123,
"eventInstanceOriginationDateTime": "2023-11-07T05:31:56Z",
"transactionKey": "<string>",
"eventData": {
"siteId": 123,
"saleId": 123,
"purchasingClientId": "<string>",
"payments": [
{
"paymentId": 123,
"paymentMethodId": 123,
"paymentMethodName": "<string>",
"paymentAmountPaid": 123,
"paymentLastFour": "<string>",
"paymentNotes": "<string>"
}
],
"saleDateTime": "2023-11-07T05:31:56Z",
"soldById": 123,
"soldByName": "<string>",
"locationId": 123,
"totalAmountPaid": 123,
"items": [
{
"itemId": 123,
"type": "<string>",
"name": "<string>",
"amountPaid": 123,
"amountDiscounted": 123,
"quantity": 123,
"recipientClientId": "<string>",
"paymentReferenceId": 123
}
]
}
}
'JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
OK
Was this page helpful?